/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_button_1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_1").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_1").play(1);
         
         
         // Ocultar un elemento 
         sym.$("button_1").hide();
         sym.$("button_2").hide();
         sym.$("button_3").hide();
         
         
         // Ocultar un elemento 
         sym.$("robot_A").hide();
         sym.$("robot_B").hide();
         sym.$("robot_C").hide();
         
         
         // Ocultar un elemento 
         sym.$("bublble_text").hide();
         
         // Ocultar un elemento 
         sym.$("descripcion").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_2}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_2").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_2").play(1);
         
         
         // Ocultar un elemento 
         sym.$("button_1").hide();
         sym.$("button_2").hide();
         sym.$("button_3").hide();
         
         
         // Ocultar un elemento 
         sym.$("robot_A").hide();
         sym.$("robot_B").hide();
         sym.$("robot_C").hide();
         
         
         // Ocultar un elemento 
         sym.$("bublble_text").hide();
         
         // Ocultar un elemento 
         sym.$("descripcion").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_3}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_3").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_3").play(1);
         
         
         // Ocultar un elemento 
         sym.$("button_1").hide();
         sym.$("button_2").hide();
         sym.$("button_3").hide();
         
         
         // Ocultar un elemento 
         sym.$("robot_A").hide();
         sym.$("robot_B").hide();
         sym.$("robot_C").hide();
         
         
         // Ocultar un elemento 
         sym.$("bublble_text").hide();
         
         // Ocultar un elemento 
         sym.$("descripcion").hide();
         
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'robot_A'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 10123, function(sym, e) {
         sym.play("head_A");

      });
      //Edge binding end

   })("robot_A");
   //Edge symbol end:'robot_A'

   //=========================================================
   
   //Edge symbol: 'robot_B'
   (function(symbolName) {   
   
   })("robot_B");
   //Edge symbol end:'robot_B'

   //=========================================================
   
   //Edge symbol: 'robot_C'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 11052, function(sym, e) {
         sym.play("head_C");

      });
      //Edge binding end

   })("robot_C");
   //Edge symbol end:'robot_C'

   //=========================================================
   
   //Edge symbol: 'robot_A_head'
   (function(symbolName) {   
   
   })("robot_A_head");
   //Edge symbol end:'robot_A_head'

   //=========================================================
   
   //Edge symbol: 'robot_A_eyes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3555, function(sym, e) {
         sym.play("eyes");

      });
      //Edge binding end

   })("robot_A_eyes");
   //Edge symbol end:'robot_A_eyes'

   //=========================================================
   
   //Edge symbol: 'robot_B_body'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8045, function(sym, e) {
         sym.play("body_B");

      });
      //Edge binding end

   })("robot_B_body");
   //Edge symbol end:'robot_B_body'

   //=========================================================
   
   //Edge symbol: 'robot_B_head'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6790, function(sym, e) {
         sym.play("eyes");

      });
      //Edge binding end

   })("robot_B_head");
   //Edge symbol end:'robot_B_head'

   //=========================================================
   
   //Edge symbol: 'robot_C_head'
   (function(symbolName) {   
   
   })("robot_C_head");
   //Edge symbol end:'robot_C_head'

   //=========================================================
   
   //Edge symbol: 'robot_C_eyes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7500, function(sym, e) {
         sym.play("eyes_C");

      });
      //Edge binding end

   })("robot_C_eyes");
   //Edge symbol end:'robot_C_eyes'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("bublble_text").fadeIn("slow");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("descripcion").fadeIn("slow");
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("robot_A").show();
         sym.getComposition().getStage().$("robot_B").fadeIn("slow");
         sym.getComposition().getStage().$("robot_C").fadeIn("slow");
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("button_1").fadeIn("slow");
         sym.getComposition().getStage().$("button_2").fadeIn("slow");
         sym.getComposition().getStage().$("button_3").fadeIn("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.playReverse();
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1105, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("bublble_text").fadeIn("slow");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("descripcion").fadeIn("slow");
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("robot_A").fadeIn("slow");
         sym.getComposition().getStage().$("robot_B").show();
         sym.getComposition().getStage().$("robot_C").fadeIn("slow");
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("button_1").fadeIn("slow");
         sym.getComposition().getStage().$("button_2").fadeIn("slow");
         sym.getComposition().getStage().$("button_3").fadeIn("slow");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1105, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.playReverse();
         

      });
      //Edge binding end

   })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("bublble_text").fadeIn("slow");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("descripcion").fadeIn("slow");
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("robot_A").fadeIn("slow");
         sym.getComposition().getStage().$("robot_B").fadeIn("slow");
         sym.getComposition().getStage().$("robot_C").show();
         
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("button_1").fadeIn("slow");
         sym.getComposition().getStage().$("button_2").fadeIn("slow");
         sym.getComposition().getStage().$("button_3").fadeIn("slow");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1195, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.playReverse();
         

      });
      //Edge binding end

   })("pop_3");
   //Edge symbol end:'pop_3'

})(jQuery, AdobeEdge, "EDGE-94063035");